#! /usr/bin/env python
# -*- coding: Latin-1 -*-

from Tkinter import *
from math import *

# azt az akciot definialjuk, amit az adatbeviteli mezo szerkesztesekor 
# az "enter" billentyu megnyomasara kell vegrehajtani :

def evaluate(event):
    chain.configure(text = "Eredmény = " + str(eval(mezo.get())))

# ----- Foprogram : -----

ablak = Tk()

mezo = Entry(ablak, bd=2, relief =GROOVE)
mezo.bind("<Return>",evaluate)
mezo.pack(padx =10, pady =5)

chain = Label(ablak)
chain.pack(padx =10, pady =5)

ablak.mainloop()

#chaine - chain
#entry -> mezo
#window -> ablak